import httpRequest from '@/utils/axios'

/**
 * 获取考试列表
 */
export function getExamList(params) {
  return httpRequest.get('/api/exam/v1/exam/index', { params })
}
// 创建考试
export function createExamList(data) {
  return httpRequest.post('/api/exam/v1/exam/create', data)
}
/**
 * 获取考卷列表
 */
export function getExamPaperList(params) {
  return httpRequest.get('/api/exam/v1/exam/search-paper', { params })
}
/**
 * 删除考试
 */
export function delExamPaper(data) {
  return httpRequest.post('/api/exam/v1/exam/delete', data)
}
/**
 * 查看考试详情
 */
export function getExamPaperDetail(params) {
  return httpRequest.get('/api/exam/v1/exam/view', { params })
}
/**
 * 添加考生
 */
export function addStudent(data) {
  return httpRequest.post('/api/exam/v1/exam/add-student', data)
}
/**
 * 更新考试
 */
export function updateExam(data) {
  return httpRequest.post('/api/exam/v1/exam/update', data)
}
/**
 * 考试数据下载
 */
export function downloadExamData(params) {
  return httpRequest.get('/api/exam/v1/exam/download-details', { params, responseType: 'blob' })
}

/**
 * 删除考生
 */
export function deleteStudent(data) {
  return httpRequest.post('/api/exam/v1/student/delete', data)
}
/**
 * 发送成绩信息
 */
export function sendMessage(data) {
  return httpRequest.post('/api/exam/v1/exam/send-msg', data)
}
/**
 * 发送成绩信息
 */
export function getTranserList(params) {
  return httpRequest.get('/api/exam/v1/exam/transfer-student', { params })
}
/**
 * 发送成绩信息
 */
export function transferStudent(data) {
  return httpRequest.post('/api/exam/v1/exam/transfer-student', data)
}

/**
 * 考试导入考生
 */
export function importStudent(data) {
  return httpRequest({
    url: '/api/exam/v1/exam/student-import',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data,
    withCredentials: true
  })
}
/**
 * 获取试卷详情
 */
export function getPaperDetails(params) {
  return httpRequest.get('/api/exam/v1/exam/sheet-detail', { params })
}
/**
 * 批改试卷
 */
export function submitPaper(data) {
  return httpRequest.post('/api/exam/v1/exam/submit-sheet', data)
}
