import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/exam',
    component: AppLayout,
    meta: { title: '考试中心' },
    children: [
      {
        path: '',
        redirect: '/exam/list'
      },
      {
        path: 'list',
        component: () => import('./views/List.vue'),
        meta: { title: '我的考试' }
      },
      {
        path: 'newExam',
        component: () => import('./views/NewExam.vue'),
        meta: { title: '新建考试' }
      },
      {
        path: 'examDetail',
        component: () => import('./views/Detail.vue'),
        meta: { title: '考试详情' }
      },
      {
        path: 'markingPaper',
        component: () => import('./views/MarkingPaper.vue'),
        meta: { title: '批阅试卷' }
      },
      {
        path: 'createStudent',
        component: () => import('./views/CreateStudent.vue'),
        meta: { title: '添加考生' }
      },
      {
        path: 'baseInfo',
        component: () => import('../exam/components/BaseInfo.vue'),
        meta: { title: '编辑考试' }
      },
      {
        path: 'checkPaper',
        component: () => import('../exam/components/CheckPaper.vue'),
        meta: { title: '选择考试' }
      },
      {
        path: 'personalInfo',
        component: () => import('./components/PersonalInfo.vue'),
        meta: { title: '个人信息' }
      },
      {
        path: 'examSetting',
        component: () => import('./components/ExamSetting.vue'),
        meta: { title: '考试设置' }
      }
    ]
  }
]

export { routes }
