import AppLayout from '@/components/layout/Index.vue'

const routes = [
  {
    path: '/paper',
    component: AppLayout,
    meta: { title: '试卷中心' },
    redirect: '/paper/list',
    children: [
      {
        path: 'list',
        component: () => import('./views/List.vue'),
        meta: { title: '我的试卷库' }
      },
      {
        name: 'createPaper',
        path: 'create',
        component: () => import('./views/Update.vue'),
        meta: { title: '新建试卷' }
      },
      {
        name: 'editPaper',
        path: 'update/:id',
        component: () => import('./views/Update.vue'),
        meta: { title: '编辑试卷' },
        props: true
      },
      {
        name: 'viewPaper',
        path: 'detail/:id',
        component: () => import('./views/Detail.vue'),
        meta: { title: '试卷详情' },
        props: true
      }
    ]
  }
]

export { routes }
