import store from '@/store'

function checkPermission(el, binding) {
  const { value } = binding
  if (!value) return
  const permissions = store.state.permissions || []
  let hasPermission = false
  if (Array.isArray(value)) {
    hasPermission = permissions.some(item => value.includes(item.tag))
  } else {
    hasPermission = !!permissions.find(item => item.tag === value)
  }
  if (!hasPermission) {
    el.parentNode && el.parentNode.removeChild(el)
  }
}

// 判断是否有权限
export default Vue => {
  Vue.directive('permission', { inserted: checkPermission, update: checkPermission })
}
